Name:           DWFToolkit
Version:        7.3
Release:        1%{?dist}
Summary:        DWF Toolkit provides APIs for reading and writing 3D DWF from any application

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.autodesk.com/dwftoolkit
Source0:        http://download.autodesk.com/esdr/dwftoolkit/DWFToolkit-%{version}-src.tar.gz
Patch0:         DWFToolkit-7.3-system_libs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libtool, automake17
BuildRequires: doxygen

BuildRequires: alsa-lib-devel
BuildRequires: expat-devel
BuildRequires: e2fsprogs-devel
BuildRequires: libjpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: minizip-devel
BuildRequires: zlib-devel



%description
DWF Toolkit provides APIs for reading and writing 3D DWF from any
application, simplified 2D interfaces, supports composite DWF files (3D and 2D
combined) and cross-platform support. It includes C++
source code for reading and writing DWF files.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       zlib-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q
# Fix our loop
pushd develop/global/build/gnu/
 ln -sf dwftoolkit dwf
popd

# We use system libs 
#rm -rf develop/global/src/dwfcore/zip - missing UNZ_BADPASSWORD in our minizip/unzip.h
rm -rf develop/global/src/dwfcore/zlib
rm -rf develop/global/src/dwf/expat
rm -rf develop/global/src/dwf/w3dtk/jpeg

# Preprare autotools
for name in dwfcore dwf; do
pushd develop/global/src/${name}
  tar -xzf ../../build/gnu/${name}/build_files.tar.gz
  rm -rf autom4te.cache/ *.m4
# Do some fixes
  sed -i 's|/home/garrick/development/autodesk/Bianchi/develop/global/build/KDevelop3.0/${name}/|${pwd}|' Doxyfile
  doxygen -u
  for f in AUTHORS ChangeLog COPYING NEWS README TODO ; do
    chmod 644 ${f}
    cp -p ${f} ${f}.${name}
  done
popd
done

# Patches
%patch0 -p1 -b .system_libs

# Run autotools
for name in dwfcore dwf; do
pushd develop/global/src/${name}
  #autoreconf --force
  libtoolize  --force
  aclocal-1.7
  autoheader
  autoconf
  automake-1.7
popd 
done

#Rename docs
cp -p "docs/DWF Core/Release Candidate License Agreement.rtf" \
  Release_Candidate_License_Agreement.rtf


%build
for name in dwfcore dwf; do
pushd develop/global/src/${name}
%configure \
  --enable-optimized \
  --disable-static \
  --with-expat=yes \
  --with-zlib=yes \
  --with-jpeg=yes

make %{?_smp_mflags}
popd 
done


%install
rm -rf $RPM_BUILD_ROOT
for name in dwfcore dwf; do
pushd develop/global/src/${name}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd
done
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Release_Candidate_License_Agreement.rtf
%{_libdir}/libdwfcore-*.so
%{_libdir}/libdwftk-*.so

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/dwf/
%{_includedir}/dwfcore/
%{_libdir}/libdwfcore.so
%{_libdir}/libdwftk.so


%changelog
* Mon Dec 11 2007 kwizart < kwizart at gmail.com > - 7.3-1
- First Fedora package

* Mon Aug 14 2006 Helio Chissini de Castro <helio@mandriva.com>
- First package release

